Bug 1291383 - gpaw FTBFS on aarch64
Summary: gpaw FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaw
Version: 24
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64 epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-14 18:15 UTC by Yaakov Selkowitz
Modified: 2016-03-09 14:28 UTC (History)
2 users (show)

Fixed In Version: gpaw-0.11.0.13004-21.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 14:28:07 UTC
Type: Bug


Attachments (Terms of Use)
Fix build on aarch64 (#1291383) (2.00 KB, patch)
2015-12-14 18:16 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2015-12-14 18:15:31 UTC
gpaw config.py does not handle aarch64, causing the build to fail there.  The following patch from rawhide fixes the build; please merge this into epel7 and f23 as well.

Comment 1 Yaakov Selkowitz 2015-12-14 18:16:31 UTC
Created attachment 1105628 [details]
Fix build on aarch64 (#1291383)

Comment 2 marcindulak 2015-12-17 12:52:30 UTC
Commited in http://pkgs.fedoraproject.org/cgit/gpaw.git/commit/?id=9ea7340ac4a909b36eb015121c06877af5aa24ce
Are those aarch64 builds performed at arm.koji.fedoraproject.org?
Is there any cli? Can you verify if gpaw builds are fine now?

Comment 3 Yaakov Selkowitz 2015-12-17 20:41:27 UTC
Scratch builds of -18 succeed on aarch64.  Please build and update for Fedora and epel7.

Comment 4 marcindulak 2015-12-18 17:55:28 UTC
I'm not familiar with this particular koji platform. What is "-18"?
I've commited the change to Rawhide, Fedora 22/23, el6 and epel7,
because I always try to keep the spec file in sync.
Will a "standard" fedpkg update trigger also those aarch64 builds?

Comment 5 Yaakov Selkowitz 2015-12-18 17:56:57 UTC
(In reply to marcindulak from comment #4)
> I'm not familiar with this particular koji platform. What is "-18"?

gpaw-0.11.0.13004-18

> I've commited the change to Rawhide, Fedora 22/23, el6 and epel7,
> because I always try to keep the spec file in sync.
> Will a "standard" fedpkg update trigger also those aarch64 builds?

Yes.

Comment 6 Fedora Update System 2016-01-04 13:19:22 UTC
gpaw-0.11.0.13004-18.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b7f39aa8e

Comment 7 Fedora Update System 2016-01-04 13:30:35 UTC
gpaw-0.11.0.13004-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c9c02fba95

Comment 8 Fedora Update System 2016-01-04 13:31:08 UTC
gpaw-0.11.0.13004-18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-606dd7afae

Comment 9 marcindulak 2016-01-04 13:43:26 UTC
gpaw epel7 build fails now because CentOS started to build also on ppc64le
and openblas is still missing there bug #1287105

Comment 10 Fedora Update System 2016-01-04 20:20:19 UTC
gpaw-0.11.0.13004-18.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b7f39aa8e

Comment 11 Fedora Update System 2016-01-04 20:51:54 UTC
gpaw-0.11.0.13004-18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-606dd7afae

Comment 12 Fedora Update System 2016-01-04 20:53:13 UTC
gpaw-0.11.0.13004-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c9c02fba95

Comment 13 Fedora Update System 2016-01-24 01:59:34 UTC
gpaw-0.11.0.13004-18.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-01-24 03:18:33 UTC
gpaw-0.11.0.13004-18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-01-24 03:33:24 UTC
gpaw-0.11.0.13004-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-02-13 20:47:19 UTC
gpaw-0.11.0.13004-21.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b736608e12

Comment 17 Fedora Update System 2016-02-15 03:52:58 UTC
gpaw-0.11.0.13004-21.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b736608e12

Comment 18 Jan Kurik 2016-02-24 14:08:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 19 Fedora Update System 2016-03-09 14:28:05 UTC
gpaw-0.11.0.13004-21.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.